Package org.apache.commons.configuration2.spring

## Class ConfigurationPropertySource

- java.lang.Object
- - org.springframework.core.env.PropertySource<T>
  - - org.springframework.core.env.EnumerablePropertySource<Configuration>
    - - org.apache.commons.configuration2.spring.ConfigurationPropertySource

-     public class ConfigurationPropertySource
      extends EnumerablePropertySource<Configuration>

  Allow use of Apache Commons Configuration Objects as Spring PropertySources

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.core.env.PropertySource

      `PropertySource.StubPropertySource`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.core.env.PropertySource

      `logger, name, source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ConfigurationPropertySource​(String name)` |
    `` | `ConfigurationPropertySource​(String name, Configuration source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getProperty​(String name)` |
    `String[]` | `getPropertyNames()` |

    - ### Methods inherited from class org.springframework.core.env.EnumerablePropertySource

      `containsProperty`

    - ### Methods inherited from class org.springframework.core.env.PropertySource

      `equals, getName, getSource, hashCode, named, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationPropertySource

          public ConfigurationPropertySource​(String name,
                                             Configuration source)

    - #### ConfigurationPropertySource

          protected ConfigurationPropertySource​(String name)

  - ### Method Detail

    - #### getPropertyNames

          public String[] getPropertyNames()

      Specified by:
        `getPropertyNames` in class `EnumerablePropertySource<Configuration>`

    - #### getProperty

          public Object getProperty​(String name)

      Specified by:
        `getProperty` in class `PropertySource<Configuration>`